[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TIDesigner.UniqueName

UniqueName - returns a Unique name for the designer, using the BaseName as a starting point

## Declaration

Source position: forms.pp line 1570

`public function TIDesigner.UniqueName(`
`const BaseName: String`
`):String; virtual; abstract;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .